Name:          xapool
Version:       1.5.0
Release:       %mkrel 10
Group:         Development/Java
Summary:       Open source XA JDBC Pool
License:       LGPLv2+
URL:           http://xapool.ow2.org/
# wget http://download.forge.objectweb.org/xapool/xapool-1.5.0-src.tgz
# tar -xf xapool-1.5.0-src.tgz
# find xapool-1.5.0-src -name "*.jar" -delete
# find xapool-1.5.0-src -name "*.class" -delete
# find xapool-1.5.0-src -name "*.java~" -delete
# rm -rf $(find xapool-1.5.0-src -name "CVS")
# tar czf xapool-1.5.0-src-clean.tar.gz xapool-1.5.0-src
Source0:       %{name}-%{version}-src-clean.tar.gz
Source1:       http://repo1.maven.org/maven2/com/experlog/%{name}/%{version}/%{name}-%{version}.pom
# disable p6spy howl-logger oracle classes12 support
Patch0:        %{name}-%{version}-build.patch
Patch1:        %{name}-%{version}-jdk7.patch

BuildRequires: ant
BuildRequires: apache-commons-logging
BuildRequires: geronimo-jta
BuildRequires: java-devel
BuildRequires: javapackages-local

BuildArch:     noarch

%description
XAPool is a software component which allows to:

 - Store objects with a Generic Pool
 - Export a DataSource (javax.sql.DataSource)
 - Export a XADataSource (javax.sql.XADataSource)

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}-src
find . -name "*.jar" -delete
find . -name "*.class" -delete
find . -name "*.java~" -delete

rm -rf $(find . -name "CVS")

%patch0 -p0
%patch1 -p1
sed -i "s|Class-Path: idb.jar classes12.jar jta-spec1_0_1.jar log4j.jar commons-logging.jar p6psy.jar||" archive/xapool.mf

ln -sf $(build-classpath commons-logging) externals/
ln -sf $(build-classpath geronimo-jta) externals/

rm -r src/org/enhydra/jdbc/instantdb \
  src/org/enhydra/jdbc/oracle

%mvn_file com.experlog:%{name} %{name}

%build

ant dist

%install
%mvn_artifact %{SOURCE1} output/dist/lib/%{name}.jar
%mvn_install -J output/dist/jdoc

%files -f .mfiles
%doc README.txt

%files javadoc -f .mfiles-javadoc



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 1.5.0-10.mga6
+ Revision: 978225
- First rebuild of the java stack
- sync package xapool with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1.5.0-8.mga6
+ Revision: 951556
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 daviddavid <daviddavid> 1.5.0-7.mga5
+ Revision: 808254
- Sync with fc21 (fix build failure)

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-6.mga5
+ Revision: 739856
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-5.mga5
+ Revision: 690541
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5.0-4.mga4
+ Revision: 520395
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.5.0-3.mga3
+ Revision: 386501
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1.5.0-2.mga3
+ Revision: 325842
- Build with java7

* Tue Oct 18 2011 dmorgan <dmorgan> 1.5.0-1.mga2
+ Revision: 156330
- Add howl-logger as Buildrequires

  + gil <gil>
    - imported package xapool


* Sat Jun 25 2011 gil <gil> 1.5.0-0.%%mkrel
- initial rpm